*AssetScore.do
#delimit;
*Calculate the amount of service each household receives;

capture log close;
log using ../log/assetscore.log, replace;
set more off;
set memory 20m;
use ../../consumption/dta/strata.dta;
drop if oversample ==1;
sort hhnumber;
merge hhnumber using ../../datacheck/dta/r9_1.dta;
sort hhnumber;
tabulate _merge;
keep if _merge ==3;
drop _merge;
keep hhnumber a_have a_number assetcod;
tabulate a_have a_number, missing;
forvalues g= 1/19 {;
generate f_`g' = a_number * (assetcod==`g');
};
collapse (sum) f_*, by(hhnumber);
generate assetscore =0;
forvalues g= 1/19 {;
generate tmp1 = (f_`g' >0);
egen     tmp2 = sum(tmp1);
scalar   N    = _N;
generate w_`g' = N / tmp2 ;
drop tmp1 tmp2;
replace assetscore = assetscore + w_`g' * f_`g';
};
summarize f_* w_* assetscore;
keep hhnumber assetscore;
sort hhnumber;
save ../dta/assetscore.dta, replace;
log close;
exit,clear;
