*Equivalentanalysis.do
# delimit;
capture log close;
log using ../log/equialentanalysis.log, replace;
clear;
set memory 30m;
set more off;

use ../dta/adultequivalent.dta;
keep if oversample ==0;
local suffixlist = "50 60 70 75 80 90 100 oecd_old oecd_new";

tokenize `suffixlist';
local vl = "";
while "`1'" != "" {;
sort aeexp_d_`1';
_pctile aeexp_d_`1' [fw=hhsize_resident], p(20);
local povline_aep_`1' = r(r1);
generate aep_`1' = 100 * (aeexp_d_`1' <= `povline_aep_`1'');
summarize aep_`1'[fw=hhsize_resident]; 
local vl = "`vl' aep_`1'";
macro shift;
};

generate mid = hhsize_resident - nchild_resident - nelderly_resident;
generate dep = (nchild_resident + nelderly_resident) / mid;
generate elderlyhh = (nelderly_resident == hhsize_resident);
summarize dep;
generate highdep = (dep > r(mean)); 
tabulate elderlyhh [fw=hhsize_resident];
tabulate hhgender  [fw=hhsize_resident];
tabulate highdep   [fw=hhsize_resident];
tabulate loc_type  [fw=hhsize_resident];
tabulate hh_child  [fw=hhsize_resident];

tokenize `vl';
local j = 1;
while "`1'" != ""{;
quietly summarize `1' [fw=hhsize_resident] if elderlyhh ==1;
local eld`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident] if hhgender ==2;
local fem`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident] if highdep ==1;
local hdep`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident] if highdep ==0;
local ldep`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident] if loc_type ==1;
local urban`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident] if loc_type ==2;
local rural`1' = r(mean);
quietly summarize hhsize_resident if `1' ==100;
local hhsize`1' = r(mean);
quietly summarize dep [fw=hhsize_resident] if `1'==100;
local dep`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident] if hh_child==0;
local kid0`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident] if hh_child==1;
local kid1`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident] if hh_child==2;
local kid2`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident] if hh_child==3;
local kid3`1' = r(mean);
quietly summarize `1' [fw=hhsize_resident];
local totpov`1' = r(mean);
quietly summarize `1' [fw=nchild_resident];
local kidpov`1' = r(mean);
quietly summarize `1' [fw=nelderly_resident];
local eldpov`1' = r(mean);
local v`j' "`1'";
display "`v`j''";
local j = `j' + 1;
macro shift;
};
local k = `j' -1;

local l = 1;
local prefixlist "eld fem hdep ldep urban rural hhsize dep kid0 kid1 kid2 kid3 totpov kidpov eldpov povline_";
generate str10 lab ="";
tokenize `prefixlist';
while "`1'" != "" {;
local w`l' "`1'";
replace lab = "`1'" if _n==`l';
local l = `l' + 1;
macro shift;
};

local m = `l' -1;
matrix define ae = J(`m',`k',0);
display "`vl'";
matrix colnames  ae =`vl';
matrix rownames  ae = `prefixlist';
forvalues a = 1/`k' {;
forvalues b = 1/`m' {;
*display "matrix ae[`b',`a']= `w`b''`v`a''";
*display "matrix ae[`b',`a']= ``w`b''`v`a'''";
matrix ae[`b',`a']= ``w`b''`v`a''';

};
};
keep lab;
drop if lab =="";
matrix list ae;
svmat ae, names(col);
outsheet using ../out/equivalentanalysis.txt, replace;

log close;
exit, clear;
