#delimit ;
log using ../log/housingcharacteristicsDistricttable.log, replace;
clear;
set memory 30m;
use ../../profile/dta/householdinformation.dta;
drop if oversample==1;
sort hhnumber;
merge hhnumber using ../dta/assetscore.dta;
tabulate _merge;


tabulate distr toilet_type [fw=hhsize_resident], row nofreq;
tabulate distr electricity_availability [fw=hhsize_resident], row nofreq;
tabulate distr water_availability [fw=hhsize_resident], row nofreq;
tabulate distr disposal_system [fw=hhsize_resident], row nofreq;
tabulate distr phone_availability [fw=hhsize_resident], row nofreq;
tabulate distr [fw=hhsize_resident], summarize(assetscore);
tabulate distr [fw=hhsize_resident], sum(pcpoor_d);
clear;
use ../../profile/dta/personalinformation.dta;
merge hhnumber using ../../profile/dta/householdinformation;
drop if oversample ==1;	
drop if agroup <4;
drop if r3 ==0; /*eliminate people whose education information is missing*/
drop if agroup ==. | educ ==.;
drop if q_attend !=2; /*Only interested in those who are not attending a school*/
*drop if aggroup ==.;
generate sec = (educ >=3) * 100;
label variable sec "Secondary+ education";
label define sec 0 "No" 100 "Yes";
label values sec sec;
tabulate distr, sum(sec) mean noobs;
log close;
exit, clear;
