#delimit;
*Compute poverty rates with rent, durabules and both;
clear;
set memory 20m;
set more off;
log using ../log/newexp.log, replace;
use ../../profile/dta/householdinformation.dta;
sum;
merge hhnumber using ../dta/rentaggregate.dta;
tabulate _merge;
drop _merge;
sum;
sort hhnumber;

merge hhnumber using ../dta/durableaggregate.dta;
tabulate _merge;
drop _merge;
sort hhnumber;

merge hhnumber using ../../profile/dta/povertyprofile.dta;
tabulate _merge;
drop _merge;
sort hhnumber;


merge hhnumber using ../../consumption/dta/districtpriceindex.dta;
tabulate _merge;
drop _merge;
sort hhnumber;

generate newexptotu_n = exptot_n + useval;
generate newexptotu   = exptot + useval;
generate newexptotu_d = newexptotu / pr_defl;

generate newpcexpu_n = newexptotu_n / hhsize_resident;
generate newpcexpu   = newexptotu   / hhsize_resident;
generate newpcexpu_d = newexptotu_d / hhsize_resident;

generate newpcpooru_n = (newpcexpu_n <= povertyline) * 100;
generate newpcpooru   = (newpcexpu   <= povertyline) * 100;
generate newpcpooru_d = (newpcexpu_d <= povertyline) * 100;

generate newexptotr_n = exptot_n + rent;
generate newexptotr   = exptot + rent;
generate newexptotr_d = newexptotr / pr_defl;

generate newpcexpr_n = newexptotr_n / hhsize_resident;
generate newpcexpr   = newexptotr   / hhsize_resident;
generate newpcexpr_d = newexptotr_d / hhsize_resident;

generate newpcpoorr_n = (newpcexpr_n <= povertyline) * 100;
generate newpcpoorr   = (newpcexpr   <= povertyline) * 100;
generate newpcpoorr_d = (newpcexpr_d <= povertyline) * 100;

generate newexptot_n = exptot_n + rent + useval;
generate newexptot  = exptot + rent + useval;
generate newexptot_d = newexptot / pr_defl;

generate newpcexp_n = newexptot_n / hhsize_resident;
generate newpcexp   = newexptot   / hhsize_resident;
generate newpcexp_d = newexptot_d / hhsize_resident;

generate newpcpoor_n = (newpcexp_n <= povertyline) * 100;
generate newpcpoor   = (newpcexp   <= povertyline) * 100;
generate newpcpoor_d = (newpcexp_d <= povertyline) * 100;

generate newexptotr2_n = exptot_n + rent2;
generate newexptotr2   = exptot + rent2;
generate newexptotr2_d = newexptotr2 / pr_defl;

generate newpcexpr2_n = newexptotr2_n / hhsize_resident;
generate newpcexpr2   = newexptotr2   / hhsize_resident;
generate newpcexpr2_d = newexptotr2_d / hhsize_resident;

generate newpcpoorr2_n = (newpcexpr2_n <= povertyline) * 100;
generate newpcpoorr2   = (newpcexpr2   <= povertyline) * 100;
generate newpcpoorr2_d = (newpcexpr2_d <= povertyline) * 100;

generate newexptot2_n = exptot_n + rent2 + useval;
generate newexptot2   = exptot   + rent2 + useval;
generate newexptot2_d = newexptot2 / pr_defl;

generate newpcexp2_n = newexptot2_n / hhsize_resident;
generate newpcexp2   = newexptot2   / hhsize_resident;
generate newpcexp2_d = newexptot2_d / hhsize_resident;

generate newpcpoor2_n = (newpcexp2_n <= povertyline) * 100;
generate newpcpoor2   = (newpcexp2   <= povertyline) * 100;
generate newpcpoor2_d = (newpcexp2_d <= povertyline) * 100;

order pcpoor_n pcpoor pcpoor_d;

sum  pcpoor* newpcpoor* [fw=hhsize_resident] if oversample==0;
exit,clear;
