#delimit ;
log using ../log/riskanalysisEducation1.log, replace;
clear;
set more off;
set memory 30m;
use ../../profile/dta/householdinformation.dta;
drop if oversample ==1;
generate logpcexp = log(pcexp_d);
generate hhage2 = hhage * hhage;
generate pcinc = hhtminc / hhsize_resident;

gen rural=0;
replace rural=1 if loc_type==2;
gen ruraleduc=rural*hhyrsch;
gen hhhempl=0;
replace hhhempl=1 if hhempl==1;
gen singlefemhhh=0;
replace singlefemhhh=1 if hhsingle==1 & hhgender==2;

quietly tabulate ethnicity_adj, generate(eth);
quietly tabulate distr, generate(dst);
quietly tabulate hheduc, generate(hed);
quietly tabulate hhgender, generate(hge);
quietly tabulate hhsingle, generate(hsi);

/***********************************LOG EXP OLS*****************************/
reg logpcexp hhsize_resident number_age0005 number_elderly crowding eth2 eth3 eth4 dst2 dst3 dst4 dst5 dst6 dst7 dst8 dst9 rural hhage hge2 hsi2 singlefemhhh hed2 hed3 hed4 hed5 hhhempl n_empl own_dwelling own_crop own_livestock own_realasset;

/*Get the same result as this;
xi:reg logpcexp hhsize_resident number_age0005 number_elderly crowding i.ethnicity_adj i.distr rural hhage i.hhgender*i.hhsingle i.hheduc hhhempl n_empl own_dwelling own_crop own_livestock own_realasset;
*/;

capture program drop repbyavg;
program define repbyavg;
capture drop yhat phat logyhat;
local i=1;
while "`1'" != "" {;
local    nam`i' "`1'";
generate tmp`i' = `1';
quietly summarize tmp`i';
scalar x = r(mean);
replace `1' = x;
local i = `i'+1;
macro shift;
};
predict logyhat;
local j = `i' -1;
forvalues i = 1/`j'{;
replace `nam`i'' = tmp`i';
drop tmp`i';
};
generate yhat = exp(logyhat);
generate phat = (yhat <= povertyline) * 100;
end;

tabulate hheduc [fw=hhsize_resident], sum(pcpoor_d);


/*No control*/;
quietly repbyavg;
tabulate hheduc [fw=hhsize_resident], sum(phat);

/*demographic characteristics*/;
quietly repbyavg hhsize_resident number_age0005 number_elderly hhage hge2 hsi2 singlefemhhh;
tabulate hheduc [fw=hhsize_resident], sum(phat);

/*ethnicity*/;
quietly repbyavg eth2 eth3 eth4;
tabulate hheduc [fw=hhsize_resident], sum(phat);

/*location*/;
quietly repbyavg dst2 dst3 dst4 dst5 dst6 dst7 dst8 dst9 rural;
tabulate hheduc [fw=hhsize_resident], sum(phat);

/*education of household head*/;
quietly repbyavg hed2 hed3 hed4 hed5;
tabulate hheduc [fw=hhsize_resident], sum(phat);

/*labor market*/;
quietly repbyavg hhhempl n_empl;
tabulate hheduc [fw=hhsize_resident], sum(phat);

/*asset*/;
quietly repbyavg own_dwelling own_crop own_livestock own_realasset crowding;
tabulate hheduc [fw=hhsize_resident], sum(phat);

/*all (do not make sense)*/;
quietly repbyavg hhsize_resident number_age0005 number_elderly crowding eth2 eth3 eth4 dst2 dst3 dst4 dst5 dst6 dst7 dst8 dst9 rural hhage hge2 hsi2 singlefemhhh hed2 hed3 hed4 hed5 hhhempl n_empl own_dwelling own_crop own_livestock own_realasset;
tabulate hheduc [fw=hhsize_resident], sum(phat);


log close;
exit, clear;
