*Coping strategies--measuring informal activity
*Here, we compute the share of consumption from own production
#delimit ;
	/* ownexp*_n: nominal aggregation
	   ownexp*  : aggregation with seasonal adjustment */ 
capture log close;
clear;
set memory 20m;
set more off;
log using ../log/ownconsumptionaggregate.log, replace;
use ../../consumption/dta/foodaggregate.dta;

/********Further aggregating food consumption**/
capture program drop doit;
program define doit;
     local varownexp ="`1'";
     macro shift;
     local varname ="`1'";
     macro shift;
     generate a=0;
     while "`1'" ~="" {
        replace a=`varownexp' if g_item==`1'; 
        macro shift;
     };  
     egen `varname'=sum(a),by (hhnumber);
     drop a;
end;

doit ownfdexp ownexpcer_n 1     ;
doit ownfdexp ownexpfr_ve_n 2 3 ;
doit ownfdexp ownexpme_da_n 4 5 ;
doit ownfdexp ownexpfa_su_n 6 7 ;
doit ownfdexp ownexpo_fd_n 8    ;
doit ownfdexp ownexpalch_n 9    ;

label variable ownexpcer_n   "ownexp - Food - Cereal - Nominal";
label variable ownexpfr_ve_n "ownexp - Food - Fru & Veg - Nominal";
label variable ownexpme_da_n "ownexp - Food - Meat & Dairy - Nominal";
label variable ownexpfa_su_n "ownexp - Food - Fats & Sugar - Nominal";
label variable ownexpo_fd_n  "ownexp - Food - Other - Nominal";
label variable ownexpalch_n  "ownexp - N Food - Alchool - Nominal";

;
sort hhnumber;
quietly by hhnumber: generate a=_n;
keep if a==1;

keep hhnumber ownexpcer_n ownexpfr_ve_n ownexpme_da_n ownexpfa_su_n ownexpo_fd_n ownexpalch_n;
egen ownexpfood_n = rsum(ownexpcer_n ownexpfr_ve_n ownexpme_da_n ownexpfa_su_n ownexpo_fd_n);


** Get the seasonal adjustment factor;
sort hhnumber;
merge hhnumber using ../../consumption/temp/seasonaltemporary.dta;
tab _merge;
keep if _merge==3;
drop _merge;

** Adjust the variables that need adjustment
;
generate ownexpcer  =ownexpcer_n  /factor1 ;  /*ownexp - Food - Cereal            */
generate ownexpfr_ve=ownexpfr_ve_n   /factor3 ;  /*ownexp - Fruits & Vegetables      */
generate ownexpme_da=ownexpme_da_n   /factor2 ;  /*ownexp - Food - Meat & Dairy      */
generate ownexpfa_su=ownexpfa_su_n   /factor4 ;  /*ownexp - Food - Fats & Sugar      */
generate ownexpo_fd =ownexpo_fd_n  /factor5 ;  /*ownexp - Food - Other             */
generate ownexpalch =ownexpalch_n /factor6 ;  /*ownexp - N Food - Alchool         */

** RECALCULATE THE TOTAL;
egen ownexpfood = rsum(ownexpcer ownexpfr_ve ownexpme_da ownexpfa_su ownexpo_fd);
label variable ownexpfood_n   "ownexp - Food Month Hh - Nominal";
label variable ownexpfood "ownexp - Food - Total - Seasonally Adjusted";
label data "HH Mo. own expenditure Nominal";
sort hhnumber;
merge hhnumber using ../../consumption/dta/districtpriceindex.dta;
tabulate _merge;
generate ownexpfood_d = ownexpfood / pr_defl;
label variable ownexpfood_d "ownexp - Food - Total - Deflated";
sort hhnumber;
label data "Own Consumption Aggregate";
keep hhnumber ownexpfood*;
save ../dta/ownconsumptionaggregate.dta, replace;
summarize;
describe;
log close;
exit, clear;	



