*Coping strategies--measuring informal activity
*Here, we compute the share of consumption from own production
#delimit ;
clear;
set memory 30m;
log using ../log/ownshare.log,replace;
use ../dta/ownconsumptionaggregate.dta;
merge hhnumber using ../../consumption/dta/adjustedtotalaggregate.dta;
tabulate _merge;
drop _merge;
sort hhnumber;
merge hhnumber using ../../profile/dta/householdinformation.dta;
keep if oversample ==0;

generate ownsharetot = ownexpfood_d / exptot_d;
generate ownsharefood = ownexpfood_d / expfood_d;

summarize ownsharetot ownsharefood [fw=hhsize_resident], detail;

capture program drop main;
program define main;
while "`1'" != ""{;
local key "`1'";
sort `key';
by `key': egen tmp1 = sum(ownexpfood_d);
by `key': egen tmp2 = sum(exptot_d);
by `key': egen tmp3 = sum(expfood_d);
generate oshtot = tmp1/tmp2;
generate oshfd  = tmp1/tmp3;
tabulate `key' [fw=hhsize_resident], sum(ownsharetot);
tabulate `key' [fw=hhsize_resident], sum(ownsharefood);
tabulate `key' [fw=hhsize_resident], sum(oshtot);
tabulate `key' [fw=hhsize_resident], sum(oshfd);
drop tmp1 tmp2 tmp3 oshtot oshfd;
macro shift;
};
end;

main popdecpc_d pcpoor_d loc_type;
egen tmp1 = sum(ownexpfood_d);
egen tmp2 = sum(exptot_d);
egen tmp3 = sum(expfood_d);
generate oshtot= tmp1/tmp2;
generate oshfd = tmp1/tmp3;
summarize oshtot oshfd;
log close;
exit,clear;
