*HouseholdSize.do
*! Version July 10, 2001 @ 14:27:59
#delimit;
capture log close;
log using K:/BIHS01/Data/STATA/CONSUMPTION/LOG/HouseholdSize.log, replace;
clear;
set more off;
use K:/BIHS01/Data/STATA/DATACHECK/DTA/r1.dta;

**********************************************
*   COUNTING THE NUMBER OF CHILDREN IN HH    *
**********************************************
*Count the number of children below 15yrs age;
generate child =1 if 0 <age_yrs <= 15;
;
*Count the number of children per household;
egen nchild=sum(child), by(hhnumber); *counts # of child per Hh*;
sort hhnumber;

**********************************************
*   COMPUTING THE SIZE OF HH  (mkhhsize)     *
**********************************************
* Create the hhsize variable-all;
gen temporary=1;
egen hhsize_all=sum(temporary), by(hhnumber);
label variable hhsize_all "HH size - All individuals";
format hhsize_all %6.2f;
;
* Create the hhsize variable-hh member only;
replace temporary=0 if hhm !=1;
egen hhsize_resident =sum(temporary), by(hhnumber);
label variable hhsize_resident "HH size - Resident only";
format hhsize_resident %6.2f;
;
** Create the hhsize variable-adult member equivalent;
replace temporary=0;
replace temporary=1 if relationship == 1;
replace temporary=.7 if age_yrs >=14 & age_mth >0 & relationship !=1;
replace temporary=.7 if age_yrs >=14 & age_mth ==0 & relationship !=1;
replace temporary=.5 if age_yrs <14  & age_mth >0;
replace temporary=.5 if age_yrs <14  & age_mth ==0;
replace temporary=.5 if age_yrs ==0  & age_mth >0;
replace temporary=0 if hhm != 1;
egen adulteq=sum(temporary), by(hhnumber);
label variable adulteq "HH Adult equivalent size";
format adulteq %6.2f;

sort hhnumber;	
generate same =0;	  
by hhnumber: replace same =1 if hhnumber[_n+1] == hhnumber[_n];	
tabulate same;
keep if same ==0;
keep hhnumber hhsize_resident hhsize_all adulteq;	
save K:/BIHS01/Data/STATA/CONSUMPTION/DTA/HouseholdSize.dta, replace;
	log close;
	exit, clear;
