*DistrictPriceIndex.do
*!Version
#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/CONSUMPTION/LOG/SeasonalAdjustmentFactor.log, replace;
set more off;
clear;
/*This file is created by using Adjustw.dta from 1995, which can be found
in the same directory as SeasonalAdjustmentFactor. This file is (supposedly)
originally created by Skoufias based on household budget survey in 1994.
Since the original file only contains the seasonal adjustment factors for May,
June and July, and the survey in 2001 was carried out in April and May,
we used the factor for May	1994 figures for April and May 2001. So,
our assumption is that the consumption patterns in May 1994 and April
and May 2001 are the same.	This may not be a very cogent assumption,  
but due to the resource and time constraint we face, we choose this
assumption as the best working assumption. 	  
As soon as the household budget survey data is available,
SeasonalAdjustmentFactor.txt can be replaced by a better data*/
	  
insheet using K:/BIHS01/Data/Original/etc/SeasonalAdjustmentFactor.txt;
label variable locn "Sofia/Urban/Rural";
label define locn 1 "Sofia City" 2 "Other Urban" 3 "Other Rural";
label values locn locn;
label variable monthc "Month (when consumption takes place)";
label define monthc 4 "April" 5 "May";
label values monthc monthc;
label variable gdec "Decile Group:Bot20,Mid60,Top20";
label define gdec 1 "Bottom 20%" 2 "Middle 60%" 3 "Top 20%";
label values gdec gdec; 
label data "Seasonal Adjustment Factor";
sort locn monthc gdec;

describe;
save K:/BIHS01/Data/STATA/CONSUMPTION/Dta/SeasonalAdjustmentFactor.dta, replace;
log close;






