*EducationAggregate.do
*! Version July 13, 2001 @ 15:31:37
#delimit ;
clear;
	set more off;
	set memory 20m;
capture log close;
log using ../../../stata/consumption/log/educationaggregate.log, replace;
	use ../../../stata/datacheck/dta/r3.dta;

** The value of rent WILL NOT BE CALCULATED AT THIS STAGE
   It turns out that only 6% of the cases housholds pay rent
	Most people own their house. The implicit rent reported  
   for 1617 Hhs is 130.269 Lev (Med=100).
;
** There are only 162 Hhs that report renting and 131 are living for free.
	receive it for free. The mean of reported rent (obs 159) is 43.843 (Med=25).
	At this stage I think that the cost of housing should not be included
	in the calculation of welfare??  
;
sort hhnumber;
merge hhnumber using ../dta/strata.dta;
tabulate _merge;
keep if _merge==3;


	/*It is not obvious which are outliers. I shall use fee_c if
	  there is no information available for t_12m_c*/
replace t_12m_c = fee_c if t_12m_c !=.;
replace t_12m_c = t_12m_c / 12; /*Convert it into monthly basis*/
generate expedtr = t_12m_c;
	

**Taking care of outliers
;
	/*I shall use the following rule
	  1) Use the real amount if it is greater than 5 times standard deviation plus mean
	  2) Use 5 times standard deviation plus median if bigger than that
	  3) Use the median if don't know/refusal to answer
	  4) Use 0 if no data available (including 
	  	  */
capture program drop outlier;
program define outlier;
	while "`1'" != "" {
		  local goods `1';
		replace `goods' = 0 if `goods' ==.;
		replace `goods' = . if `goods' < 0;
		egen mean = mean(`goods');
		egen sd = sd(`goods') ;
		replace `goods' = . if `goods' > mean + 5 * sd;
		egen median1 = median(`goods') if `goods' >0, by (distr loc_type); 
		egen median2 = median(`goods') if `goods' >0, by (loc_type);
		egen median3 = median(`goods') if `goods' >0;
		replace `goods' = median1 if `goods' ==.;
		replace `goods' = median2 if `goods' ==.;
		replace `goods' = median3 if `goods' ==.;
drop mean sd median1 median2 median3;
		macro shift;
  };
end;
	outlier expedtr d_extrac d_meals d_lodge d_paper d_tuitio d_unifor d_books d_refurb d_mateq d_gift d_cultr d_other d_yr_tut;
	generate basic = d_extrac+d_meals+d_lodge+d_paper+(d_tuitio + d_unifor + d_books) /12;
	generate higher = d_yr_tut /12;
	generate othered = (d_refurb + d_mateq + d_gift + d_cultr + d_other) / 12;
	egen expeduc = rsum(basic higher othered);
keep hhnumber basic higher othered expeduc expedtr; 
sort hhnumber;
	collapse (sum) basic higher othered expeduc expedtr, by (hhnumber);
	format exp* %7.2f;
label variable basic "basic education expenses";
label variable higher "quality education expenses";
label variable othered "other education related expenses";
label variable expeduc "Exp - N Food - Education";
label variable expedtr "Exp - N Food - Training";
label data "HH level Education Exp.";
summarize;
sort hhnumber;
	save ../dta/educationaggregate.dta, replace;
clear; 
log close;  
exit,clear;		


