*! HouseAggregate.do
*! Version July 23, 2001 @ 10:03:53
#delimit ;
set more off;
clear;
set memory 20m;

	capture log close;
log using ../../../stata/consumption/log/houseaggregate.log, replace;
	use ../../../stata/datacheck/dta/r4.dta;

** The value of rent WILL NOT BE CALCULATED AT THIS STAGE
   It turns out that only 6% of the cases housholds pay rent
	Most people own their house. The implicit rent reported  
   for 1617 Hhs is 130.269 Lev (Med=100).
;
** There are only 162 Hhs that report renting and 131 are living for free.
	receive it for free. The mean of reported rent (obs 159) is 43.843 (Med=25).
	At this stage I think that the cost of housing should not be included
	in the calculation of welfare??  
;
sort hhnumber;
merge hhnumber using ../dta/strata.dta;
tabulate _merge;
keep if _merge==3;

label data "Housing Expenditure.";

** Combine few variable
;
	/*I shall use the following rule
	  1) Use Paid amount if available (to guarantee the comparability with 1995)
	  2) Use Due amount if available (AT the end, not used!)
	  	  */
capture program drop paid_amount;
program define paid_amount;
	while "`1'" != "" {
		  local goods `1';
		replace pay_`goods' =0 if pay_`goods' ==.;
		replace pay_`goods' =. if pay_`goods' <0;
			  egen mean_`goods' = mean(pay_`goods') if pay_`goods' >0;
				


			  egen sd_`goods' = sd(pay_`goods') if pay_`goods' >0;
/*We ignore observations greater than mean + 10 * sd*/
*replace pay_`goods' =mean_`goods' + sd_`goods' * 10 if pay_`goods' > mean_`goods' + sd_`goods' * 10 & pay_`goods' != .;
replace pay_`goods' =. if pay_`goods' > mean_`goods' + sd_`goods' * 10 & pay_`goods' != .;
			  egen median1_`goods' = median(pay_`goods') if pay_`goods' >0, by (distr loc_type); 
			  egen median2_`goods' = median(pay_`goods') if pay_`goods' >0, by (loc_type); 
			  egen median3_`goods' = median(pay_`goods') if pay_`goods' >0;
		/*We don't use due amount for now
		  replace pay_`goods' = due_`goods' if pay_`goods' . & due_`goods' >=0;*/
			  replace pay_`goods' = median1_`goods' if pay_`goods' ==.;
			  replace pay_`goods' = median2_`goods' if pay_`goods' ==.;
			  replace pay_`goods' = median3_`goods' if pay_`goods' ==.;


drop median1_`goods' median2_`goods' median3_`goods' mean_`goods' sd_`goods';



		macro shift;
  };
end;
	paid_amount heat elec gas coal oil wood other water waste cond;
	generate expdhea = pay_heat;
	generate expelec = pay_elec;
	generate exphgas = pay_gas;
	egen expo_en = rsum(pay_coal pay_oil pay_wood pay_other);
	generate expwat = pay_water;
	egen exph_fee = rsum(pay_waste pay_cond);

        generate r = d_rent;
	replace r =0 if r ==.;
	egen    mr  = median(r);
	replace r   = mr   if r  <0;
	generate exprent = r;

   replace d_fono =0 if d_fono ==.;
   replace d_mobfon =0 if d_mobfon ==.;
	egen    m_fono   = median(d_fono);
	egen    m_mobfon = median(d_mobfon);
   replace d_fono   = m_fono   if d_fono   <0;
   replace d_mobfon = m_mobfon if d_mobfon <0;
	egen     exptel = rsum(d_fono d_mobfon);
   list if (exprent ==.) | (expdhea == .) | (expelec ==.) | (exphgas == .) | (expo_en ==.) | (expwat ==.) | (exph_fee ==.) | (exptel ==.);
	egen tothexp = rsum(exprent expdhea expelec exphgas expo_en expwat exph_fee exptel);


keep hhnumber hhselec tothexp exprent expdhea expelec exphgas expo_en expwat exph_fee exptel;


format exp* %7.2f;
label variable exprent  "Exp - N Food - Rent";
label variable expdhea  "Exp - N Food - Distric Heat";
label variable expelec  "Exp - N Food - Electricity";
label variable exphgas  "Exp - N Food - House Gas";
label variable expo_en  "Exp - N Food - O. Energy";
label variable expwat   "Exp - N Food - Water";
label variable exph_fee "Exp - N Food - Trash & O. Fees";
label variable exptel   "Exp - N Food - Telephone";
label variable tothexp "Exp - Total - Housing";
	summarize if hhselec!=4;
	sort hhnumber;
	save ../dta/houseaggregate.dta, replace;
	log close;  
exit, clear;		
