*NonfoodAggregate.do
*! Version July 11, 2001 @ 20:30:12
#delimit ;
capture log close;
clear;
	set memory 20m;
	set more off;
	log using ../log/nonfoodaggregate.log, replace;
** In several instances the quantity is reported as zero instead of being
   reported as a missing observation.  Moreover the calculated expenditure 
   does not match the reported amount in ~1500 cases. We are going to do a
   rigorous outlier treatment;
use ../../../../data/stata/datacheck/dta/r5_2.dta;

/**********************************************
Amount = Quantity * Price. Chech if this holds
for those goods for which we have the data on amt, qty and p.
******************************************/
capture program drop apq_check;
program define apq_check;
	while "`1'" != "" {
		  local goods `1';
		  local threshold 0.04;
display "`goods'";
		list hhnumber amt_`goods' qty_`goods' p_`goods' if (abs(amt_`goods' / (p_`goods' *  qty_`goods') - 1) > `threshold') & (amt_`goods' !=.) & (amt_`goods' >= 0) & (qty_`goods'  !=.) & (qty_`goods' > 0) & (p_`goods'  !=.) & (p_`goods' > 0);
		macro shift;
/*Convert into no observation if the data is don't know/ refusal to answer*/
		replace amt_`goods' =. if amt_`goods' <0;
		replace qty_`goods' =. if qty_`goods' <0;
		replace p_`goods' =. if p_`goods' <0;
		};
end;
	apq_check cigarette toisoap luxtoisoap shampoo conditioner shampcond hndbdycream lotion facecream cleansingcream deodrant toothpaste haircut washsoap madesoap washingpowder bleach dishwash othwash;

	/*******************************************************
	  The difference between amount and price * quantity is within 4%.
	  I shall use amount because 1) difference is small and 2)
	  price per unit may be ambiguous if the respondant is buying
	  more than one time in a given period at a different unit price.
	  ******************************************************/


	  /******************************************************
	  Taking care of outliers:
	  Price > Mean + 2 S.D.& Price > 3 * Mean => Outlier
     ******************************************************/
	  
	  sort hhnumber;
	merge hhnumber using ../dta/strata.dta;
   tabulate _merge;
	drop _merge;
	
capture program drop apq_outlier;
program define apq_outlier;
	while "`1'" != "" {
		  local goods `1';
egen mnprice = mean(p_`goods');
egen sdprice = sd(p_`goods');
egen mnqty = mean(qty_`goods');
egen sdqty = sd(qty_`goods');
tabulate p_`goods' if (p_`goods' > mnprice + sdprice * 2) & (p_`goods' > mnprice * 3);
tabulate qty_`goods' if (qty_`goods' > mnqty + sdqty * 2) & (qty_`goods' > mnqty * 3);
replace p_`goods' = . if (p_`goods' > mnprice + sdprice * 2) & (p_`goods' > mnprice * 3);
replace qty_`goods' = . if (qty_`goods' > mnqty + sdqty * 2) & (qty_`goods' > mnqty * 3);
		
egen mprice1 = median(p_`goods'), by (distr);
egen mprice2 = median(p_`goods'), by (loc_type);
egen mprice3 = median(p_`goods');
replace p_`goods' = mprice1 if p_`goods' ==.;
replace p_`goods' = mprice2 if p_`goods' ==.;
replace p_`goods' = mprice3 if p_`goods' ==.;

egen mqty1 = median(qty_`goods'), by (distr);
egen mqty2 = median(qty_`goods'), by (loc_type);
egen mqty3 = median(qty_`goods');
replace qty_`goods' = mqty1 if qty_`goods' ==.;
replace qty_`goods' = mqty2 if qty_`goods' ==.;
replace qty_`goods' = mqty3 if qty_`goods' ==.;

summarize p_`goods' qty_`goods' if amt_`goods' ==.;
summarize p_`goods' qty_`goods' if amt_`goods' ==0;
replace amt_`goods' = p_`goods' * qty_`goods' if amt_`goods' ==. | amt_`goods' ==0;
drop mnprice sdprice mnqty sdqty mprice1 mprice2 mprice3 mqty1 mqty2 mqty3;
		macro shift;
		};
end;
	apq_outlier cigarette toisoap luxtoisoap shampoo conditioner shampcond hndbdycream lotion facecream cleansingcream deodrant toothpaste haircut washsoap madesoap washingpowder bleach dishwash othwash;



capture program drop amt_nonanswer;
program define amt_nonanswer;
	while "`1'" != "" {
		  local goods `1';
		replace amt_`goods' =. if amt_`goods' < 0;
/*Treatment of missing observations. For now, I treat it as zero*/
		  replace amt_`goods' =0 if amt_`goods' ==.;
		macro shift;
		};
end;
	amt_nonanswer hyg cultr book paper stationery mail gasoil carsvc taxi trambus train othcleaner membership sports childcare petfood otherexp cotton wool silk synthetic mencloth womencloth childcloth menshoes womenshoes childshoes kitchenequipment homerepairs furniture bedding other1 other2 other3 dentist doctor hospital medicine optical skincare othhealth1 othhealth2 othhealth3 holiday jewelry insurance_mnd insurance_opt saving;

capture program drop qty_nonanswer;
program define qty_nonanswer;
	while "`1'" != "" {
		  local goods `1';
		replace qty_`goods' =. if qty_`goods' < 0;
/*Treatment of missing observations. For now, I treat it as zero*/
		  replace qty_`goods' =0 if qty_`goods' ==.;
		macro shift;
		};
end;
	qty_nonanswer gasoil taxi train;
	
capture program drop monthly; /*Convert into monthly figures*/
	program define monthly;
	while "`1'" != "" {
		  local goods `1';
		replace amt_`goods' = amt_`goods' / 12;
		macro shift;
		};
end;
monthly cotton wool silk synthetic mencloth womencloth childcloth menshoes womenshoes childshoes kitchenequipment homerepairs furniture bedding other1 other2 other3 dentist doctor hospital medicine optical skincare othhealth1 othhealth2 othhealth3 holiday jewelry insurance_mnd insurance_opt saving;
	
capture program drop aggregate_group;
program define aggregate_group;
	local aggregate `1';
	generate g_`aggregate' = 0;
	macro shift;
	while "`1'" != ""{
		  replace g_`aggregate' = g_`aggregate' + amt_`1';
	macro shift;
		};
end;
sort hhnumber;
	save ../temp/nonfoodtemporary.dta, replace;
	aggregate_group tobacco cigarette;
	aggregate_group entertainment cultr book paper stationery mail;
	aggregate_group personalitem toisoap luxtoisoap shampoo conditioner shampcond hndbdycream lotion facecream cleansingcream deodrant toothpaste haircut hyg membership;
	aggregate_group cleaning washsoap madesoap washingpowder bleach dishwash othwash;
	aggregate_group gasoil gasoil;
	aggregate_group othtrans carsvc taxi trambus train;
	aggregate_group othnonfood childcare petfood otherexp;
	aggregate_group cloth cotton wool silk synthetic mencloth womencloth childcloth menshoes womenshoes childshoes;
	aggregate_group health dentist doctor hospital medicine optical skincare othhealth1 othhealth2 othhealth3;
   aggregate_group furniture furniture bedding other1 other2 other3;
	aggregate_group applience kitchenequipment;
	aggregate_group entertainment2 holiday jewelry;
	aggregate_group insurance insurance_mnd insurance_opt;
   aggregate_group saving saving;
	aggregate_group repair homerepairs;
   keep hhnumber g_tobacco g_entertainment g_personalitem g_cleaning g_gasoil g_othtrans g_othnonfood g_cloth g_health g_furniture g_applience g_entertainment2 g_insurance g_saving g_repair;
	sort hhnumber;
	save ../dta/nonfoodaggregate.dta, replace;
	log close;
exit, clear;	

