#delimit;
capture log close;
clear;
log using ../log/sampleframe.log,replace;
set more off;
insheet using ../../../original/etc/sample.txt;
	label variable clust "Cluster";
	label variable ru "Rural/Urban";
label variable region	"Region code";
label variable regionname	"Region Name";
label variable distr		"District Code";
label variable distrname		"District Name";
label variable household		"Household Number";
drop regionname distrname;
	generate byte loc_type = .;
	replace loc_type = 2 if ru == "R";
	replace loc_type = 1 if ru == "U";
	label variable loc_type "Location Type (Urban/Rural)";
	label define loc_type
	  1 "Urban"
	  2 "Rural"
	  ;
	  label values loc_type loc_type;
drop ru;
label define region
1	"Blagoevgrad"
2	"Bourgass"
3	"Varna"
4	"Veliko Tarnovo"
5	"Vidin"
6	"Vratza"
7	"Gabrovo"
8	"Kardzali"
9	"Kyustendill"
10	"Lovetch"
11	"Montana"
12	"Pazardzik"
13	"Pernik"
14	"Pleven"
15	"Plovdiv"
16	"Razgrad"
17	"Rousse"
18	"Silistra"
19	"Sliven"
20	"Smolyan"
21	"Sofia - city"
22	"Sofia - region"
23	"Stara Zagora"
24	"Dobritch"
25	"Targovishte"
26	"Haskovo"
27	"Shoumen"
28	"Yambol"
;
label values region region;
	  label define distr
1	"Sofia - city"
2	"Bourgass"
3	"Varna"
4	"Lovetch"
5	"Montana"
6	"Plovdiv"
7	"Rousse"
8	"Sofia region"
	  9	"Haskovo"
	  ;
	  label values distr distr;
	sort region clust household;
save ../dta/sampleframe.dta, replace;
exit, clear;
