#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/INCOME/Log/DisabilityPensionAggregate.log,replace;
*
**  This step calculates income from disability pension;
*;
set more off;
clear;
use K:/BIHS01/Data/STATA/DATACHECK/Dta/r1.dta;
keep hhnumber idcode gender age_yrs hhm;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/Dta/r8_4.dta;
tab _merge hhm, miss;
keep if _merge==3;
sum;

rename dis_last dispen;
label variable dispen "monthly disability pension";

**step 1: check for outliers-no child allowance reported;
replace dispen = 0 if dispen ==.; /*no such record actually exist*/
replace dispen = . if dispen < 0;
egen mean   = mean(dispen);
egen sd     = sd(dispen);
gen flag1=1 if (dispen > mean + sd * 10) | (dispen < mean - sd * 10);
tab flag1;
** step 2: replace the outliers with missing values;
replace dispen=. if flag1==1;

** step 3:calculate the median values by type of job,age and gender;
egen medpen=median(dispen), by(dis_job age_yrs gender);
egen nmedpen=median(dispen), by(gender);

** step 4: replace the missing values with median values;
replace dispen=medpen if dispen==.;
replace dispen=nmedpen if dispen==.;

summarize ;
keep hhnumber idcode dispen;
sort hhnumber idcode;
save K:/BIHS01/Data/STATA/INCOME/Dta/DisabilityPensionAggregate.dta, replace;
summarize;
log close;
	
