#delimit ;
capture log close;
	log using K:/BIHS01/Data/STATA/INCOME/LOG/OtherFarmingAggregate.log, replace;
set more off;
clear;
set maxobs 10000;

*** Calculates other farming income and costs;
use K:/BIHS01/Data/STATA/DATACHECK/Dta/r6_9.dta, clear;
capture program drop eliminate_nonpositive;
program define eliminate_nonpositive;
while "`1'" !="" {
		  local argument `1';
		sum `argument';
replace `argument' =0 if `argument' <0 | `argument' ==.;	
		sum `argument';
		macro shift;
		};
	end;
eliminate_nonpositive cost_pw ben_cost cost_sw cost_ptr cost_fod paym_lnd land_tax cost_srv cost_wtr cost_lns cost_otr val_subd val_srv val_tls val_othr;	
sum cost_pw  if  cost_pw  >0;
sum ben_cost if  ben_cost >0;
sum cost_sw  if  cost_sw  >0;
sum cost_ptr if  cost_ptr >0;
sum cost_fod if  cost_f  >0;
sum paym_lnd if  paym_lnd>0;
sum land_tax if  land_t  >0;
sum cost_srv if  cost_sr >0;
sum cost_wtr if  cost_w  >0;
sum cost_lns if  cost_lns>0;
sum cost_otr if  cost_otr>0;
sum val_subd if  val_sub >0;
sum val_srv  if  val_srv >0;
sum val_tls  if  val_tls >0;
sum val_othr if  val_oth >0;

** Calculate other income costs and revenues;
** Here there might be some problems to identify the time of reference  
   sometimes it is clear, other times we have to make some assumptions
   If not clearly stated we assume that the costs are lst 12 months
;   

gen aglabor=cost_pw + ben_cost + cost_sw/12; 
gen agfeed=cost_fod /12;
gen agocost=cost_ptr/12 + paym_lnd/12 + land_tax/12 + cost_srv/12 + 
	    cost_wtr/12 + cost_lns/12 + cost_otr/12;

lab var aglabor "Agriculture Cost: Labor";
lab var agfeed  "Agriculture Cost: Animal Feed";
lab var agocost "Agriculture Cost: Other";

gen agoinc = val_sub/12 + val_srv/12 + val_tls/12 + val_othr/12;
lab var agoinc "Agriculture Income: Other";

keep hhnum ag*;

sum;
save K:/BIHS01/Data/STATA/INCOME/Dta/OtherFarmingAggregate.dta, replace;
log close;
