#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/INCOME/Log/OtherRevenuesAggregate.log,replace;
*
**  This step calculates income from other revenue;
*;
use K:/BIHS01/Data/STATA/DATACHECK/Dta/r8_10.dta;
keep if newquest==1;

replace amnt_yr =0 if amnt_yr ==.;
replace amnt_yr =. if amnt_yr <0;
	
rename amnt_yr othrev;
label variable othrev "other monthly revenues-asset,int etc.";

**step 1: check for outliers-no child allowance reported;
egen mean = mean(othrev) if othrev >0;
egen sd   = sd(othrev) if othrev >0;
generate flag1=1 if othrev > mean + sd * 10;

** step 2: replace the outliers with missing values;
replace othrev=. if flag1==1;

** step 3:calculate the median values-by type of revenue;
egen medoth=median(othrev) if othrev > 0, by(bcode);

** step 4: replace the missing values with median values;
replace othrev=medoth if othrev==.;

** make it on a monthly basis;
replace othrev=(othrev/12);

sum bcode othrev;
tab bcode, sum(othrev);
keep if bcode<10;  /* Only income and not Expenditure */

sort hhnumber;	
merge hhnumber using K:/BIHS01/Data/STATA/CONSUMPTION/Dta/Strata.dta;
tab _merge;
collapse (sum) othrev, by(hhnumber);
label variable othrev "Other revenue Income";
sort hhnumber;
save K:/BIHS01/Data/STATA/INCOME/Dta/OtherRevenuesAggregate.dta, replace;
summarize;
log close;        

