#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/INCOME/Log/PrivatePensionAggregate.log,replace;
*************************************************************;
*                                                           *;
*    Name    : CLCINC6.DO               V : 01              *;
*    Date    : NOV 21,1995                                  *;
*    Infile  :                                              *;
*    Outfile : Series of Othinc files: OTHINC1-9            *;
*                                                           *;
*    OBJECTIVE: Calculates Income from social assisitance   *;
*               or Insurance/pension                        *;
*                                                           *;                                                         *;
*************************************************************;

** Little program used here and there;
cap prog drop catage;
prog define catage;
   gen catage=0;
   replace catage=1 if age_y>15 & age_y<=24;
   replace catage=2 if age_y>25 & age_y<=34;
   replace catage=3 if age_y>35 & age_y<=54;
   replace catage=4 if age_y>55 & age_y<=70;
end;

set more off;
clear;
use K:/BIHS01/Data/STATA/DATACHECK/Dta/r1.dta;
keep hhnumber idcode gender age_yrs hhm;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/Dta/r8_2.dta;
tab _merge hhm, miss;
keep if _merge==3;
sum;

**  This step calculates income from private pension;
**step 1: check for outliers-no child allowance reported;
replace d_lastmo = . if d_lastmo < 0;
egen mean = mean(d_lastmo);
egen sd   = sd(d_lastmo);
generate flag1=1 if d_lastmo> mean + sd * 10 & d_lastmo !=.;
replace flag1=2 if d_lastmo==.;
tab flag1;
drop mean sd;
	
** step 2: replace the outliers with missing values;
replace d_lastmo=. if flag1==1;

** step 3:calculate the median values;
egen medpenag = median(d_lastmo), by(age_yrs gender);
egen medpen   = median(d_lastmo);

** step 4: replace the missing values with median values;
replace d_lastmo=medpenag  if d_lastmo ==.;
replace d_lastmo=medpen    if d_lastmo ==.;
rename d_lastmo privpen;
lab var privpen "monthly private pension";
sum;
keep hhnum idcode privpen;
sort hhnum idcode;
save K:/BIHS01/Data/STATA/INCOME/Dta/PrivatePensionAggregate.dta, replace;
sum privpen,det;
log close;
;
