#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/INCOME/Log/PublicPensionAggregate.log,replace;
*
**  This step calculates income from state/public pension
*;
set more off;
clear;
use K:/BIHS01/Data/STATA/DATACHECK/Dta/r1.dta;
keep hhnumber idcode gender age_yrs hhm;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/Dta/r8_1.dta;
tab _merge hhm, miss;
keep if _merge==3;
sum;


ren ret_last pubpen;
ren ret_allo child4;
lab var child4 "monthly child allowance pub pens";
lab var pubpen "monthly public pension";

**step 1: check for outliers-no child allowance reported;
capture program drop outliers;
program define outliers;
while "`1'" != "" {
local item `1';
replace `item' = 0 if `item' == .;
replace `item' = . if `item' < 0;
egen mean = mean(`item') if `item' >0;
egen sd   = sd(`item')  if `item';
generate flag1=1 if `item'> mean + sd * 10 & `item' !=.;
replace  flag1=2 if `item'==.;
tab flag1;

** step 2: replace the outliers with missing values;
replace `item'=. if flag1==1;
/*replace child4=0 if child4<10;  No reason to receive it */

** step 3:calculate the median values;
egen medpen=median(`1'), by(age_y gender);

** step 4: replace the missing values with median values;
replace `1'=medpen if `1'==.;
	
drop mean sd medpen flag1;
			macro shift;
		};
end;

outliers pubpen child4;

sum;
sort hhnum;
keep hhnum idcode pubpen child4;
sort hhnum idcode;
save K:/BIHS01/Data/STATA/INCOME/Dta/PublicPensionAggregate.dta, replace;
sum;
log close;        

