#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/INCOME/Log/RealEstateAggregate.log, replace;
set more off;
use K:/BIHS01/Data/STATA/DATACHECK/Dta/r9_2.dta, clear;
merge hhnumber using K:/BIHS01/Data/STATA/CONSUMPTION/Dta/Strata.dta;
tab _merge;
keep if _merge==3;
drop _merge;
drop if p_typ ==0;/*three observation. Virtually no information is
	available form those observations*/

**  This step calculates income received from real estate;

* Real estate income;

** Step 1: check for outliers;
summarize if p_intere ==.;
replace p_intere =0 if p_intere ==.;
replace p_intere =. if p_intere < 0;
egen mean = mean(p_intere) if p_intere > 0;
egen sd   = sd(p_intere)   if p_intere > 0;
generate flag1 = 1 if p_intere > mean + sd * 10;
tab flag1;

** Step 2: remove the outliers with missing;
replace p_intere=. if flag1==1;
;
tab p_typ, sum(p_nb);
tab p_unit;
count if p_nb ==.;
replace p_nb = 0 if p_nb ==.;
replace p_nb = . if p_nb <0;
generate size=p_nb if p_unit==2;
replace  size=p_nb*100 if p_unit==3;    /* Decars in Sq Meters*/

** Samll cahnges fro very few values;
replace p_percnt=100 if p_percnt==.;
replace p_percnt=. if p_percnt<0;
egen medianp = median(p_percnt);
replace p_percnt=medianp if p_percnt==.;
generate sizep = size * p_percnt / 100;

generate asset1 = p_intere if p_intere > 0 & p_intere!=.;
replace  asset1=asset1 /12;
label variable asset1 "Rent from Real Estate";

** Calculate unit and median values;
gen unitv   = asset1 / sizep;
egen medass =median(unitv), by(p_typ loc_typ);
egen medass2=median(unitv), by(p_typ);

** Step 4: replace the missing with median values;

tab p_typ, sum(asset1);
replace asset1=medass * sizep if asset1==.;
replace asset1=medass2* sizep if asset1==.;
tab p_typ, sum(asset1);
summarize;


sort hhnumber;	
merge hhnumber using K:/BIHS01/Data/STATA/CONSUMPTION/Dta/Strata.dta;
tab _merge;
collapse (sum)asset1, by(hhnumber);
rename asset1 assetinc;
sort hhnumber;
label variable assetinc "Rents from Real Estate";
save K:/BIHS01/Data/STATA/INCOME/Dta/RealEstateAggregate.dta, replace;
summarize;
log close;
