#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/INCOME/Log/RemittancesSentAggregate.log, replace;
set more off;

**  This step calculates income received from remittances
;
use K:/BIHS01/Data/STATA/DATACHECK/Dta/r7_2.dta;
	sort hhnumber;
	merge hhnumber using K:/BIHS01/Data/STATA/CONSUMPTION/Dta/Strata.dta;
   tabulate _merge;
	drop if _merge != 3;
capture program drop remove_outliers;
replace d_sent12=d_sent30*12 if d_sent12==.;
program define remove_outliers;
local remittance `1';
replace  `remittance' =0 if `remittance' ==.; 
replace  `remittance' =. if  `remittance' <0;
tabulate  `remittance';
egen mean    =	mean( `remittance' ) if `remittance' >0;
egen sd      =	sd( `remittance' ) if `remittance' >0;
** step 3:replace the outliers with missing values;
replace `remittance' =. if `remittance' > mean + sd * 10;
** step 3: calculate the median values-by region;
egen mediand =	median( `remittance' ) if `remittance' >0, by (distr);
egen median  =	median( `remittance' ) if `remittance' >0;
** step 4: replace the missing with median values;
replace `remittance' = mediand if `remittance' ==.;
replace `remittance' = median  if `remittance' ==.;
sum `remittance';
drop mean sd mediand median;
end;
remove_outliers d_sent12;
remove_outliers val_food;
remove_outliers val_cloth;
remove_outliers val_inkind;

*** make it on a monthly basis;
generate remits1=d_sent12/12 + val_food + (val_cloth + val_inkind)/12;

label variable remits1 "Remittance received";
summarize;

drop _merge;	
sort hhnumber;	
merge hhnumber using K:/BIHS01/Data/STATA/CONSUMPTION/Dta/Strata.dta;
tab _merge;
collapse (sum) remits, by(hhnumber);
label variable remits "Remittance received";

sort hhnumber;
save K:/BIHS01/Data/STATA/INCOME/Dta/RemittancesSentAggregate.dta, replace;
sum;
log close;
	
