#delimit ;
cd "";
capture log close;
log using k:\bihs01\data\stata\income\log\SelfEmploymentBusinessAggregate.log,replace;


*************************************************************;
*                                                           *;
*    Name    : SelfEmploymentBusinessAggregate.do           *;
*    Date    : july 26,2001                                 *;
*    Infile  : r6_4_2                                       *;
*    Outfile : SelfEmploymentBusinessAggregate              *;
*                                                           *;
*    OBJECTIVE: Calculates Income from self-employment      *;
*               for business only                           *;
*                                                           *;                                                         *;
*************************************************************;


set more off;

use k:\bihs01\data\stata\datacheck\dta\r6_4_2;

**  This step calculates income from self-employment-business;
** first calculate the total expenses on a monthly basis;

capture program drop replace_by_median;
program define replace_by_median;
while "`1'" != ""{
local variable `1';
replace `variable' = 0 if `variable' ==.;
replace `variable' = . if `variable' <0;
egen temp  = median(`variable') if `variable' >0;
replace `variable' = temp if `variable' ==.;
drop temp;
macro shift;
};
end;	

replace_by_median bcost b_sala b_lab_co b_materi b_oth_ex b_val_pr;	
generate totexp=(bcost/12 + b_sala + b_lab_co + b_materi + b_oth_ex);
lab var totexp "monthly total expenditure";
lab value totexp totexp;
sum;

** calculate the monthly revenues;
generate busrev=b_val_pr*4;
lab var busrev "monthly self-bus revenue";
lab value busrev busrev;

** calculate the net worth;
generate networth=busrev-totexp;
lab var networth "net worth self-bus";
lab value networth networth;


sum netw;
;

sort hhnumber;
keep hhnumber networth;
lab data "Self Employment net-worth"; 
save k:\bihs01\data\stata\income\dta\SelfEmploymentBusinessAggregate, replace;

;
clear;

log close;
