#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/INCOME/Log/SurvivorsPensionAggregate.log,replace;
*
**  This step calculates income from survivers pension;
*;
set more off;
clear;
use K:/BIHS01/Data/STATA/DATACHECK/Dta/r1.dta;
keep hhnumber idcode gender age_yrs hhm;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/Dta/r8_3.dta;
tab _merge hhm, miss;
keep if _merge==3;
sum;

rename surv_lst surpen;
label variable surpen "monthly survival pension";
replace surpen=0 if surpen==.; /*assume no answer as zero; only 2 instances of this*/
replace surpen=. if surpen<0;
egen median = median(surpen);
egen mean = mean(surpen);
egen sd = sd(surpen);
replace surpen= . if surpen > mean + sd * 10; /*no instance of this*/ 
replace surpen= median if surpen == .;
summarize surpen, det;
summarize;
keep hhnumber idcode surpen;
sort hhnumber idcode;
save K:/BIHS01/Data/STATA/INCOME/Dta/SurvivorsPensionAggregate.dta, replace;
log close;
