#delimit ;
capture log close;
log using ../log/remittancesreceivedaggregate.log, replace;
set more off;

**  This step calculates income received from remittances
;
use ../../datacheck/dta/r7_1.dta;
	sort hhnumber;
	merge hhnumber using ../../consumption/dta/strata.dta;
	tabulate _merge;
	drop if _merge !=3;
capture program drop remove_outliers;
replace d_cash12=d_cash30*12 if d_cash12==.;
program define remove_outliers;
local remittance `1';
replace  `remittance' =0 if `remittance' ==.; 
replace  `remittance' =. if  `remittance' <0;
tabulate  `remittance';
egen mean    =	mean( `remittance' ) if `remittance' >0;
egen sd      =	sd( `remittance' ) if `remittance' >0;
** step 3:replace the outliers with missing values;
replace `remittance' =. if `remittance' > mean + sd * 10;
** step 3: calculate the median values-by region;
egen mediand =	median( `remittance' ) if `remittance' >0, by (distr);
egen median  =	median( `remittance' ) if `remittance' >0;
** step 4: replace the missing with median values;
replace `remittance' = mediand if `remittance' ==.;
replace `remittance' = median  if `remittance' ==.;
sum `remittance';
drop mean sd mediand median;
end;
remove_outliers d_cash12;
remove_outliers val_rcvd_food;
remove_outliers val_rcvd_cloth;
remove_outliers val_rcvd_inkind;

*** make it on a monthly basis;
generate remitr1=d_cash12/12 + val_rcvd_food + (val_rcvd_cloth + val_rcvd_inkind)/12;

label variable remitr1 "Remittance received";
summarize;
drop _merge;
sort hhnumber;	
merge hhnumber using ../../consumption/dta/strata.dta;
tab _merge;
collapse (sum) remitr, by(hhnumber);
label variable remitr "Remittance received";

sort hhnumber;
save ../dta/remittancesreceivedaggregate.dta, replace;
sum;
log close;
	
