#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/PROFILE/log/EmploymentProfile.log, replace;
clear;
set more off;
set memory 20m;
clear;
use K:/BIHS01/Data/STATA/DATACHECK/dta/r1.dta;
keep hhnumber idcode;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/dta/r6_1.dta;
tab _merge;
drop if _merge ==2; /*Those should not exist in the record. The records dropped are ones with idcode==. and contain no substantial information. Hence it is all right to drop those observations*/
generate byte employment = 2 if _merge == 1; /*If not listed in r6_1, not economically active*/
keep hhnumber idcode q_wrkd_w reas_n_w typ_work q_srch_2 employment;
list if (q_wrkd_w ==. | q_wrkd_w <0) & employment ==.; /*no observation for this*/ 
replace  employment = 2 if q_wrkd_w ==. | q_wrkd_w <0 & employment ==.; /*one observation for this.*/ 
replace  employment = 1 if q_wrkd ==1 & employment ==.;
replace  employment = 1 if reas_n_w <6 & reas_n_w > 0 & employment ==.; 	
replace  employment = 0 if q_srch_2 ==1 & employment ==.;
replace  employment = 2 if q_srch_2 ==2 & employment ==.;
count if employment ==.;	
label variable employment "Employment status";
label define employment 0 "Unemployed" 1 "Employed" 2 "Not Economically Active";
label values employment employment;
label data "Employment Profile";
tabulate employment;
sort hhnumber idcode;
save K:/BIHS01/Data/STATA/PROFILE/Dta/EmploymentProfile.dta, replace;  
exit, clear;
