#delimit ;
capture log close;
log using K:/BIHS01/Data/STATA/PROFILE/log/SocialAssistanceProfile.log, replace;
clear;
set more off;
set memory 20m;
clear;
use K:/BIHS01/Data/STATA/DATACHECK/dta/r1.dta;
keep hhnumber idcode;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/dta/r8_1.dta;
tabulate _merge;
generate byte state_pension = (_merge ==3);
drop _merge;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/dta/r8_2.dta;
tabulate _merge;
generate byte private_pension = (_merge ==3);
drop _merge;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/dta/r8_3.dta;
tabulate _merge;
generate byte survivors_pension = (_merge ==3);
drop _merge;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/dta/r8_4.dta;
tabulate _merge;
generate byte disability_pension = (_merge ==3);
drop _merge;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/dta/r8_5.dta;
tabulate _merge;
generate byte unemployment_benefits = (_merge ==3);
drop _merge;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/dta/r8_6.dta;
tabulate _merge;
generate byte social_assistance = (_merge ==3);
drop _merge;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/dta/r8_7.dta;
tabulate _merge;
generate byte transportation_benefits = ((i_transp ==1) & (_merge ==3));
generate byte other_inkind_benefits = ((oth_inkind ==1) & (_merge ==3));
drop _merge;
sort hhnumber idcode;
merge hhnumber idcode using K:/BIHS01/Data/STATA/DATACHECK/dta/r8_8.dta;
tabulate _merge;
generate byte child_allowance = ((eligible ==1) & (_merge ==3));
drop _merge;
keep hhnumber idcode state_pension private_pension survivors_pension disability_pension unemployment_benefits social_assistance transportation_benefits other_inkind_benefits child_allowance;
label variable state_pension "Receiving State Pension?";
label variable private_pension "Receiving Private Pension?";
label variable survivors_pension "Receiving Survivors Pension?";
label variable disability_pension "Receiving Disability Pension?";
label variable unemployment_benefits "Receiving Unemployment Benefits?";
label variable social_assistance "Receiving Social Assistance (Maternity/Child Care Benefits)?";
label variable transportation_benefits "Receiving Transportation Benefits?";
label variable other_inkind_benefits "Receiving Other In Kind Benefits?";
label variable child_allowance "Eligible for child allowance?";
label define receiving 0 "Not receiving" 1 "Receiving";
label values state_pension receiving; 
label values private_pension receiving; 
label values survivors_pension receiving; 
label values disability_pension receiving; 
label values unemployment_benefits receiving; 
label values social_assistance receiving;
label values transportation_benefits receiving;
label values other_inkind_benefits receiving;
label define child_allowance 0 "Not eligible" 1 "Eligible";
label values child_allowance child_allowance;
generate byte receive_pension = (state_pension + private_pension + survivors_pension + disability_pension > 0);
label variable receive_pension "Receiving (Any) pension?";
label values receive_pension receiving;
tabulate state_pension;
tabulate private_pension;
tabulate survivors_pension;
tabulate disability_pension;
tabulate unemployment_benefits;
tabulate social_assistance;
tabulate transportation_benefits;
tabulate other_inkind_benefits;
tabulate child_allowance;
tabulate receive_pension;

label data "SocialAssistance Profile";

sort hhnumber idcode;
save K:/BIHS01/Data/STATA/PROFILE/Dta/SocialAssistanceProfile.dta, replace;  
log close;
exit, clear;
