*PovertyProfile.do;
*! Version July 12, 2001 @ 18:29:16
# delimit;
capture log close;
log using ../log/povertyprofile.log, replace;
clear;
set more off;

use ../../consumption/dta/adjustedpercapitaconsumption.dta;
sort hhnumber;
adopath + "../ado";
merge hhnumber using ../../consumption/dta/strata.dta;
tab _merge;
drop _merge;
summarize [w=hhsize_resident];
summarize ;

	lab define quintile
        1 "quint 1"
        2 "quint 2"
        3 "quint 3"
        4 "quint 4"
        5 "quint 5";
;
label define pcpoor   0 "Non-Poor"  
                      100 "Poor";

/***   POVERTY LINE ***
** Based on the two-third mean per capita exp;
** The inflation adjusted poverty line for 1995 was 2637.86, which is
 derived as 2637.86= 0.67*3956, we took the MPC of 1995 to be equal to
 3956(=2463*1.6, which is based on the 1994 MPC accounting for inflation)
 ;
egen temporary = mean(pcexp) if hhselec != 4;
egen povertyline = median(temporary);
replace povertyline = povertyline * 2 / 3;
drop temporary;
***/
generate povertyline = 61.5;/*poverty line derived 97 figure*/
	
	capture program drop make_profile;
makeprofile "_d" "0" "_n";
sort hhnumber;
label data "Poor-nonpoor file";
save ../dta/povertyprofile.dta, replace;

tabulate pcpoor [w=hhsize_resident] if hhselec !=4; 
tabulate pcpoor_n [w=hhsize_resident] if hhselec !=4; 
tabulate pcpoor_d [w=hhsize_resident] if hhselec !=4; 
sum pcp1 pcpoor pcpoor_n pcpoor_d pcp1 pcp1_n pcp1_d pcp2 pcp2_n pcp2_d [w=hhsize_resident] if hhselec !=4; 


tab romaself if hhselec !=4; 
tab pcpoor romaself  if hhselec !=4, col; 

sort flag;
by flag: tab pcpoor roma if hhselec !=4, col; 
log close;
exit, clear;
